.tree {
  background-color: #efefef;
  height: 100%;
  padding: 10px;
  font-family: monospace;
}

.title {
  margin: 2rem auto 1em;
  font-weight: bold;
}

.tree p:nth-child(n + 2):nth-child(-n + 3) {
  position: relative;
  left: 40px;
}
.tree p:nth-child(n + 4):nth-child(-n + 5) {
  position: relative;
  left: 80px;
}
.tree p:nth-child(6) {
  position: relative;
  left: 120px;
}
.tree p:nth-child(7) {
  position: relative;
  left: 40px;
}

.same {
  display: grid;
  border: 1px solid red;
  grid-template-columns: 1fr 1fr;
}

.same p {
  color: red;
  border-top: 1px solid blue;
}

.data {
  display: grid;
  border: 1px solid green;
  grid-template-columns: 1fr 1fr;
}

.x-button {
  margin: 5px;
}

.interactions {
  display: flex;
}

.form-position {
  margin-left: 10px;
  overflow: hidden;
}

.generated-lis{
  color: red;
}
.list-data li {
  overflow: hidden;
}
.list-data li:nth-child(n + 2):nth-child(-n + 3) {
    position: relative;
    left: 40px;
}
.list-data li:nth-child(n + 4):nth-child(-n + 5) {
    position: relative;
    left: 80px;
}
.list-data li:nth-child(6) {
    position: relative;
    left: 120px;
}
